summaryrefslogtreecommitdiffstats
path: root/meta/recipes-core/systemd/systemd
diff options
context:
space:
mode:
authorAlban Bedel <alban.bedel@aerq.com>2020-11-03 16:13:34 +0100
committerRichard Purdie <richard.purdie@linuxfoundation.org>2020-11-13 14:31:56 +0000
commitde7e36a7858ebca4615975967fcad1c399eacdb0 (patch)
treea07e85e3d825fb881ca83e4ea9fce81146657870 /meta/recipes-core/systemd/systemd
parentfb24d6504c30d3302fda42b6e6a918d674323a8f (diff)
downloadopenembedded-core-de7e36a7858ebca4615975967fcad1c399eacdb0.tar.gz
systemd: Fix systemd when used with busybox less
Per default systemd use a pager for the output of most of its tools and it expect this pager to be color capable. But that is not the case when the busybox `less` is used, which lead to output garbled by color escape sequences. To fix this issue add a profile frament that disable the systemd pager when busybox `less` is detected. Signed-off-by: Alban Bedel <alban.bedel@aerq.com> Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'meta/recipes-core/systemd/systemd')
-rw-r--r--meta/recipes-core/systemd/systemd/systemd-pager.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/meta/recipes-core/systemd/systemd/systemd-pager.sh b/meta/recipes-core/systemd/systemd/systemd-pager.sh
new file mode 100644
index 0000000000..86e3e0ab78
--- /dev/null
+++ b/meta/recipes-core/systemd/systemd/systemd-pager.sh
@@ -0,0 +1,7 @@
+# Systemd expect a color capable pager, however the less provided
+# by busybox is not. This make many interaction with systemd pretty
+# annoying. As a workaround we disable the systemd pager if less
+# is not the GNU version.
+if ! less -V > /dev/null 2>&1 ; then
+ export SYSTEMD_PAGER=
+fi